Fork me on GitHub"

# skbio.metadata.IntervalMetadata.sort

IntervalMetadata.sort(ascending=True)

  Sort interval features by their coordinates.

  State: Experimental as of 0.5.1.

  It sorts by the start coordinate first. If they are the same between two interval features, they will be sorted by comparing their end coordinates. For example, an interval feature with [(1, 2), (4, 7)] will be sorted in front of another one with [(1, 2), (3, 8)].

  Parameters

    ascending (bool, optional) – sort in ascending or descending coordinates.